Freeciv-3.3: gov_menu Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes
gov_menu Class Reference

`#include <menu.h>`

Inheritance diagram for gov_menu:

## Public Slots

void | revolution ()
void | change_gov (int target_gov)
void | create ()
void | update ()

## Public Member Functions

| gov_menu (QWidget *parent=0)
virtual | ~gov_menu ()

## Static Public Member Functions

static void | create_all ()
static void | update_all ()

## Private Attributes

QVector< QAction * > | actions

## Static Private Attributes

static QSet< gov_menu * > | instances = QSet<gov_menu *>()

## Detailed Description

Definition at line 209 of file menu.h.

## Constructor & Destructor Documentation

## ◆ gov_menu()

gov_menu::gov_menu | ( | QWidget * | parent = `0` | ) |

Creates a new government menu.

Definition at line 569 of file menu.cpp.

## ◆ ~gov_menu()

gov_menu::~gov_menu | ( |  | ) |

virtual

Destructor.

Definition at line 580 of file menu.cpp.

## Member Function Documentation

## ◆ change_gov

void gov_menu::change_gov | ( | int | target_gov | ) |

slot

Shows the dialog asking for confirmation before starting a revolution.

Definition at line 666 of file menu.cpp.

Referenced by create().

## ◆ create

void gov_menu::create | ( |  | ) |

slot

Creates the menu once the government list is known.

Definition at line 589 of file menu.cpp.

Referenced by side_indicators_menu().

## ◆ create_all()

void gov_menu::create_all | ( |  | ) |

static

Updates all gov_menu instances.

Definition at line 679 of file menu.cpp.

Referenced by real_menus_init().

## ◆ revolution

void gov_menu::revolution | ( |  | ) |

slot

Shows the dialog asking for confirmation before starting a revolution.

Definition at line 658 of file menu.cpp.

Referenced by create().

## ◆ update

void gov_menu::update | ( |  | ) |

slot

Updates the menu to take gov availability into account.

Definition at line 630 of file menu.cpp.

Referenced by side_indicators_menu().

## ◆ update_all()

void gov_menu::update_all | ( |  | ) |

static

Updates all gov_menu instances.

Definition at line 689 of file menu.cpp.

Referenced by real_menus_update().

## Field Documentation

## ◆ actions

QVector<QAction *> gov_menu::actions

private

Definition at line 214 of file menu.h.

Referenced by create(), update(), and ~gov_menu().

## ◆ instances

QSet< gov_menu * > gov_menu::instances = QSet<gov_menu *>()

staticprivate

Definition at line 212 of file menu.h.

Referenced by create_all(), gov_menu(), update_all(), and ~gov_menu().